Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
comments
/
files
/
{comment_id}
/
react
Add a reaction to a comment on a file in a repository.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{comment_id}/react \
  --header 'Content-Type: application/json' \
  --data '
{
  "reaction": "<string>"
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{comment_id}/react"

payload = { "reaction": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({reaction: '<string>'})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{comment_id}/react', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "reaction": "<string>",
    "users": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    ]
  }
]
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
comment_id
string<uuid>
required

Body

application/json

Add a reaction to a comment.

reaction
string
required

Reaction, e.g. a unicode emoji such as 😄.

Response

Reaction added, returns the current list of reactions

reaction
string
required

Reaction, e.g. a unicode emoji such as 👍.

users
object[]
required

Users that reacted with this reaction.